Summary:        Utility for converting bitmaps to vector graphics
Name:           autotrace
Version:        0.31.1
Release:        6%{?dist}
License:        GPLv2+ and LGPLv2+
URL:            http://autotrace.sourceforge.net/
Source0:        http://download.sf.net/autotrace/%{name}-%{version}.tar.gz

Patch3000:      autotrace-0001-Modify-GetOnePixel-usage-to-build-against-current-Im.patch
Patch3001:      autotrace-0002-Fixed-underquoted-AM_PATH_AUTOTRACE-definition.patch
Patch3002:      autotrace-0003-libpng-fix.patch
Patch3003:      autotrace-0.31.1-CVE-2013-1953.patch
Patch3004:      autotrace-0.31.1-multilib-fix.patch
Patch3005:      autotrace-0.31.1-CVE-2016-7392.patch
Patch3006:      autotrace-0.31.1-CVE-2019-19004.patch
Patch3007:      autotrace-0.31.1-CVE-2019-19005.patch
Patch3008:      CVE-2022-32323.patch

BuildRequires:  gcc-c++ libpng-devel libtiff-devel libjpeg-devel libxml2-devel
BuildRequires:  freetype-devel bzip2-devel libtool make

%description
AutoTrace is a program for converting bitmaps to vector graphics, which supports
input formats include BMP, TGA, PNM, PPM, and any format, whereas output can be
produced in Postscript, SVG, xfig, SWF, and others.

%package        devel
Summary:        Header files for autotrace
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package provides header files and development libraries for autotrace.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --without-magick \
    --without-pstoedit

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'

%files
%license COPYING COPYING.LIB
%doc AUTHORS ChangeLog FAQ NEWS README THANKS TODO
%{_bindir}/autotrace
%{_libdir}/*.so.*
%{_mandir}/man[^3]/*

%files devel
%doc HACKING
%{_bindir}/autotrace-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/autotrace.pc
%{_includedir}/autotrace/
%{_datadir}/aclocal/autotrace.m4


%changelog
* Thu Oct 19 2023 kianli <kianli@tencent.com> - 0.31.1-6
- Fix CVE-2022-32323

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 0.31.1-4
- Rebuilt for libtiff 4.5.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Shuo Wang <abushwang@tencent.com> - 0.31.1-1
- initial build
